## geany 1.23+dfsg

=== wscript ===
# -*- coding: utf-8 -*-
#
# WAF build script - this file is part of Geany, a fast and lightweight IDE
#
# Copyright 2008-2012 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
# Copyright 2008-2012 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

"""
This is a WAF build script (http://code.google.com/p/waf/).
It can be used as an alternative build system to autotools
for Geany. It does not (yet) cover all of the autotools tests and
configure options but all important things are working.
"make dist" should be done with autotools, most other targets and
functions should work better (regarding performance and flexibility)
or at least equally.

Missing features: --enable-binreloc, make targets: dist, pdf (in doc/)
Known issues: Dependency handling is buggy, e.g. if src/document.h is
              changed, depending source files are not rebuilt (maybe Waf bug).

The code of this file itself loosely follows PEP 8 with some exceptions
(line width 100 characters and some other minor things).

Requires WAF 1.6.1 and Python 2.5 (or later).
"""


import sys
import os
import tempfile
from waflib import Logs, Options, Scripting, Utils
from waflib.Configure import ConfigurationContext
from waflib.Errors import WafError
from waflib.TaskGen import feature


APPNAME = 'geany'
VERSION = '1.23'
LINGUAS_FILE = 'po/LINGUAS'
MINIMUM_GTK_VERSION = '2.16.0'
MINIMUM_GLIB_VERSION = '2.20.0'

top = '.'
out = '_build_'


mio_sources = set(['tagmanager/mio/mio.c'])

ctags_sources = set([
    'tagmanager/ctags/abaqus.c',
    'tagmanager/ctags/args.c',
    'tagmanager/ctags/abc.c',
    'tagmanager/ctags/actionscript.c',
    'tagmanager/ctags/asciidoc.c',
    'tagmanager/ctags/asm.c',
    'tagmanager/ctags/basic.c',
    'tagmanager/ctags/c.c',
    'tagmanager/ctags/cobol.c',
    'tagmanager/ctags/conf.c',
    'tagmanager/ctags/css.c',
    'tagmanager/ctags/ctags.c',
    'tagmanager/ctags/diff.c',
    'tagmanager/ctags/docbook.c',
    'tagmanager/ctags/entry.c',
    'tagmanager/ctags/fortran.c',
    'tagmanager/ctags/get.c',
    'tagmanager/ctags/haskell.c',
    'tagmanager/ctags/haxe.c',
    'tagmanager/ctags/html.c',
    'tagmanager/ctags/js.c',
    'tagmanager/ctags/keyword.c',
    'tagmanager/ctags/latex.c',
    'tagmanager/ctags/lregex.c',
    'tagmanager/ctags/lua.c',
    'tagmanager/ctags/make.c',
    'tagmanager/ctags/markdown.c',
    'tagmanager/ctags/matlab.c',
    'tagmanager/ctags/nsis.c',
    'tagmanager/ctags/nestlevel.c',
    'tagmanager/ctags/objc.c',
    'tagmanager/ctags/options.c',
    'tagmanager/ctags/parse.c',
    'tagmanager/ctags/pascal.c',
    'tagmanager/ctags/r.c',
    'tagmanager/ctags/perl.c',
    'tagmanager/ctags/php.c',
    'tagmanager/ctags/python.c',
    'tagmanager/ctags/read.c',
    'tagmanager/ctags/rest.c',
    'tagmanager/ctags/ruby.c',
    'tagmanager/ctags/sh.c',
    'tagmanager/ctags/sort.c',
    'tagmanager/ctags/sql.c',
    'tagmanager/ctags/strlist.c',
    'tagmanager/ctags/txt2tags.c',
    'tagmanager/ctags/tcl.c',
    'tagmanager/ctags/vhdl.c',
    'tagmanager/ctags/verilog.c',
    'tagmanager/ctags/vstring.c'])

tagmanager_sources = set([
    'tagmanager/src/tm_file_entry.c',
    'tagmanager/src/tm_project.c',
    'tagmanager/src/tm_source_file.c',
    'tagmanager/src/tm_symbol.c',
    'tagmanager/src/tm_tag.c',
    'tagmanager/src/tm_tagmanager.c',
    'tagmanager/src/tm_work_object.c',
    'tagmanager/src/tm_workspace.c'])

scintilla_sources = set(['scintilla/gtk/scintilla-marshal.c'])

geany_sources = set([
    'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
    'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
    'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
    'src/highlighting.c', 'src/keybindings.c',
    'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
    'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
    'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
    'src/symbols.c',
    'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/sidebar.c',
    'src/ui_utils.c', 'src/utils.c'])

geany_icons = {
    'hicolor/16x16/apps':       ['16x16/classviewer-class.png',
                                 '16x16/classviewer-macro.png',
                                 '16x16/classviewer-member.png',
                                 '16x16/classviewer-method.png',
                                 '16x16/classviewer-namespace.png',
                                 '16x16/classviewer-other.png',
                                 '16x16/classviewer-struct.png',
                                 '16x16/classviewer-var.png',
                                 '16x16/geany.png'],
    'hicolor/16x16/actions':    ['16x16/geany-build.png',
                                 '16x16/geany-close-all.png',
                                 '16x16/geany-save-all.png'],
    'hicolor/24x24/actions':    ['24x24/geany-build.png',
                                 '24x24/geany-close-all.png',
                                 '24x24/geany-save-all.png'],
    'hicolor/32x32/actions':    ['32x32/geany-build.png',
                                 '32x32/geany-close-all.png',
                                 '32x32/geany-save-all.png'],
    'hicolor/48x48/actions':    ['48x48/geany-build.png',
                                 '48x48/geany-close-all.png',
                                 '48x48/geany-save-all.png'],
    'hicolor/48x48/apps':       ['48x48/geany.png'],
    'hicolor/scalable/apps':    ['scalable/geany.svg'],
    'hicolor/scalable/actions': ['scalable/geany-build.svg',
                                 'scalable/geany-close-all.svg',
                                 'scalable/geany-save-all.svg'],
    'Tango/16x16/actions':      ['tango/16x16/geany-save-all.png'],
    'Tango/24x24/actions':      ['tango/24x24/geany-save-all.png'],
    'Tango/32x32/actions':      ['tango/32x32/geany-save-all.png'],
    'Tango/48x48/actions':      ['tango/48x48/geany-save-all.png'],
    'Tango/scalable/actions':   ['tango/scalable/geany-save-all.svg']
}
geany_icons_indexes = {
    'hicolor':  ['index.theme'],
    'Tango':    ['tango/index.theme']
}


def configure(conf):

    conf.check_waf_version(mini='1.6.1')

    conf.load('compiler_c')
    is_win32 = _target_is_win32(conf)

    conf.check_cc(header_name='fcntl.h', mandatory=False)
    conf.check_cc(header_name='fnmatch.h', mandatory=False)
    conf.check_cc(header_name='glob.h', mandatory=False)
    conf.check_cc(header_name='sys/time.h', mandatory=False)
    conf.check_cc(header_name='sys/types.h', mandatory=False)
    conf.check_cc(header_name='sys/stat.h', mandatory=False)
    conf.define('HAVE_STDLIB_H', 1)  # are there systems without stdlib.h?
    conf.define('STDC_HEADERS', 1)  # an optimistic guess ;-)
    _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)  # needed for CTags

    conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
    conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
    conf.check_cc(function_name='gethostname', header_name='unistd.h', mandatory=False)
    conf.check_cc(function_name='mkstemp', header_name='stdlib.h', mandatory=False)
    conf.check_cc(function_name='strstr', header_name='string.h')

    # check sunOS socket support
    if Options.platform == 'sunos':
        conf.check_cc(function_name='socket', lib='socket',
                      header_name='sys/socket.h', uselib_store='SUNOS_SOCKET', mandatory=True)

    # check for cxx after the header and function checks have been done to ensure they are
    # checked with cc not cxx
    conf.load('compiler_cxx')
    if is_win32:
        conf.load('winres')
    _load_intltool_if_available(conf)

    # GTK / GIO version check
    conf.check_cfg(package='gtk+-2.0', atleast_version=MINIMUM_GTK_VERSION, uselib_store='GTK',
        mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='glib-2.0', atleast_version=MINIMUM_GLIB_VERSION, uselib_store='GLIB',
        mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE',
        mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
    conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')

    # Windows specials
    if is_win32:
        if conf.env['PREFIX'].lower() == tempfile.gettempdir().lower():
            # overwrite default prefix on Windows (tempfile.gettempdir() is the Waf default)
            new_prefix = os.path.join(str(conf.root), '%s-%s' % (APPNAME, VERSION))
            _add_to_env_and_define(conf, 'PREFIX', new_prefix, quote=True)
            _add_to_env_and_define(conf, 'BINDIR', os.path.join(new_prefix, 'bin'), quote=True)
        _add_to_env_and_define(conf, 'DOCDIR', os.path.join(conf.env['PREFIX'], 'doc'), quote=True)
        _add_to_env_and_define(conf, 'LIBDIR', conf.env['PREFIX'], quote=True)
        conf.define('LOCALEDIR', os.path.join('share' 'locale'), quote=True)
        # overwrite LOCALEDIR to install message catalogues properly
        conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share/locale')
        # DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
        conf.undefine('DATADIR')
        conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
        conf.env.append_value('LINKFLAGS_cprogram', ['-mwindows'])
        conf.env.append_value('LIB_WIN32', ['wsock32', 'uuid', 'ole32', 'iberty'])
    else:
        conf.env['cshlib_PATTERN'] = '%s.so'
        # DATADIR and LOCALEDIR are defined by the intltool tool
        # but they are not added to the environment, so we need to
        _add_define_to_env(conf, 'DATADIR')
        _add_define_to_env(conf, 'LOCALEDIR')
        docdir = os.path.join(conf.env['DATADIR'], 'doc', 'geany')
        libdir = os.path.join(conf.env['PREFIX'], 'lib')
        mandir = os.path.join(conf.env['DATADIR'], 'man')
        _define_from_opt(conf, 'DOCDIR', conf.options.docdir, docdir)
        _define_from_opt(conf, 'LIBDIR', conf.options.libdir, libdir)
        _define_from_opt(conf, 'MANDIR', conf.options.mandir, mandir)

    revision = _get_git_rev(conf)

    conf.define('ENABLE_NLS', 1)
    conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
    conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], quote=True)
    conf.define('GEANY_DOCDIR', conf.env['DOCDIR'], quote=True)
    conf.define('GEANY_LIBDIR', '' if is_win32 else conf.env['LIBDIR'], quote=True)
    conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], quote=True)
    conf.define('PACKAGE', APPNAME, quote=True)
    conf.define('VERSION', VERSION, quote=True)
    conf.define('REVISION', revision or '-1', quote=True)

    conf.define('GETTEXT_PACKAGE', APPNAME, quote=True)

    # no VTE on Windows
    if is_win32:
        conf.options.no_vte = True

    _define_from_opt(conf, 'HAVE_PLUGINS', not conf.options.no_plugins, None)
