=== debian/changelog ===
geany (1.23+dfsg-2) unstable; urgency=low

  * Upload to unstable, fixes FTBFS (Closes: #707368)
  * [a472a80] Enable parallel builds
  * [17a6378] No-change bump of Standards-Version to 3.9.4
  * [ea78f31] Add README.source describing git branch structure

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 May 2013 15:27:35 +0800

geany (1.23+dfsg-1) experimental; urgency=low

  * [eead8ee] Imported Upstream version 1.23+dfsg
  * [6d56635] use debian-branch = experimental
  * [d555dec] refresh patches against 1.23

 -- Evgeni Golov <evgeni@debian.org>  Wed, 13 Mar 2013 07:28:40 +0100
