## geany 1.23.1+dfsg

=== wscript ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 
 APPNAME = 'geany'
-VERSION = '1.23'
+VERSION = '1.23.1'
 LINGUAS_FILE = 'po/LINGUAS'
 MINIMUM_GTK_VERSION = '2.16.0'
 MINIMUM_GLIB_VERSION = '2.20.0'
