=== debian/changelog ===
geany (1.23.1+dfsg-1) unstable; urgency=low

  * [3b1ced4] Imported Upstream version 1.23.1+dfsg
  * [b418909] Update debian-branch in gbp.conf

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 20 May 2013 00:18:56 +0800
