=== debian/control ===
Source: geany
Section: devel
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@debian.org>,
 Evgeni Golov <evgeni@debian.org>
Homepage: http://www.geany.org
Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
Standards-Version: 3.9.4

Package: geany
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geany-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Provides: ${geany:Provides}
Breaks: geany-plugins-common (<< 0.21)
Suggests: libvte9, doc-base
Description: fast and lightweight IDE
 Geany is a small and lightweight integrated development environment.
 It was developed to provide a small and fast IDE, which has only a
 few dependencies from other packages. It is using only the GTK2 toolkit
 and therefore you need only the GTK2 runtime libraries to run Geany.
 .
 The basic features of Geany are:
  - syntax highlighting
  - code completion
  - auto completion of constructs like if, for and while, XML and HTML
  - call tips
  - folding
  - many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
  - symbol lists
  - embedded terminal emulation

Package: geany-common
Depends: ${misc:Depends}
Replaces: geany (<< 0.21-1~)
Breaks: geany (<< 0.21-1~)
Architecture: all
Description: fast and lightweight IDE -- common files
 Geany is a small and lightweight integrated development environment.
 It was developed to provide a small and fast IDE, which has only a
 few dependencies from other packages. It is using only the GTK2 toolkit
 and therefore you need only the GTK2 runtime libraries to run Geany.
 .
 The basic features of Geany are:
  - syntax highlighting
  - code completion
  - auto completion of constructs like if, for and while, XML and HTML
  - call tips
  - folding
  - many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
  - symbol lists
  - embedded terminal emulation
 .
 This package contains arch independent files.
