## geany 1.24.1+dfsg

=== wscript ===
--- 
+++ 
@@ -45,13 +45,16 @@
 from waflib import Logs, Options, Scripting, Utils
 from waflib.Configure import ConfigurationContext
 from waflib.Errors import WafError
-from waflib.TaskGen import feature
+from waflib.TaskGen import feature, before_method
+from waflib.Tools.compiler_c import c_compiler
+from waflib.Tools.compiler_cxx import cxx_compiler
 
 
 APPNAME = 'geany'
-VERSION = '1.23.1'
+VERSION = '1.24.1'
 LINGUAS_FILE = 'po/LINGUAS'
 MINIMUM_GTK_VERSION = '2.16.0'
+MINIMUM_GTK3_VERSION = '3.0.0'
 MINIMUM_GLIB_VERSION = '2.20.0'
 
 top = '.'
@@ -102,6 +105,7 @@
     'tagmanager/ctags/read.c',
     'tagmanager/ctags/rest.c',
     'tagmanager/ctags/ruby.c',
+    'tagmanager/ctags/rust.c',
     'tagmanager/ctags/sh.c',
     'tagmanager/ctags/sort.c',
     'tagmanager/ctags/sql.c',
@@ -194,7 +198,6 @@
 
     conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
     conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
-    conf.check_cc(function_name='gethostname', header_name='unistd.h', mandatory=False)
     conf.check_cc(function_name='mkstemp', header_name='stdlib.h', mandatory=False)
     conf.check_cc(function_name='strstr', header_name='string.h')
 
@@ -211,15 +214,21 @@
     _load_intltool_if_available(conf)
 
     # GTK / GIO version check
-    conf.check_cfg(package='gtk+-2.0', atleast_version=MINIMUM_GTK_VERSION, uselib_store='GTK',
+    gtk_package_name = 'gtk+-3.0' if conf.options.use_gtk3 else 'gtk+-2.0'
+    minimum_gtk_version = MINIMUM_GTK3_VERSION if conf.options.use_gtk3 else MINIMUM_GTK_VERSION
+    conf.check_cfg(package=gtk_package_name, atleast_version=minimum_gtk_version, uselib_store='GTK',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='glib-2.0', atleast_version=MINIMUM_GLIB_VERSION, uselib_store='GLIB',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
-    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
+    gtk_version = conf.check_cfg(modversion=gtk_package_name, uselib_store='GTK') or 'Unknown'
     conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')
+    # remember GTK version for the build step
+    conf.env['gtk_package_name'] = gtk_package_name
+    conf.env['minimum_gtk_version'] = minimum_gtk_version
+    conf.env['use_gtk3'] = conf.options.use_gtk3
 
     # Windows specials
     if is_win32:
@@ -229,14 +238,17 @@
             _add_to_env_and_define(conf, 'PREFIX', new_prefix, quote=True)
             _add_to_env_and_define(conf, 'BINDIR', os.path.join(new_prefix, 'bin'), quote=True)
         _add_to_env_and_define(conf, 'DOCDIR', os.path.join(conf.env['PREFIX'], 'doc'), quote=True)
-        _add_to_env_and_define(conf, 'LIBDIR', conf.env['PREFIX'], quote=True)
+        _add_to_env_and_define(conf, 'LIBDIR', '%s/lib' % conf.env['PREFIX'], quote=True)
         conf.define('LOCALEDIR', os.path.join('share' 'locale'), quote=True)
         # overwrite LOCALEDIR to install message catalogues properly
         conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share/locale')
         # DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
         conf.undefine('DATADIR')
         conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
-        conf.env.append_value('LINKFLAGS_cprogram', ['-mwindows'])
+        conf.env.append_value('LINKFLAGS_cprogram', [
+            '-mwindows',
+            '-static-libgcc',
+            '-static-libstdc++'])
         conf.env.append_value('LIB_WIN32', ['wsock32', 'uuid', 'ole32', 'iberty'])
     else:
         conf.env['cshlib_PATTERN'] = '%s.so'
@@ -256,17 +268,3 @@
     conf.define('ENABLE_NLS', 1)
     conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
     conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], quote=True)
-    conf.define('GEANY_DOCDIR', conf.env['DOCDIR'], quote=True)
-    conf.define('GEANY_LIBDIR', '' if is_win32 else conf.env['LIBDIR'], quote=True)
-    conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], quote=True)
-    conf.define('PACKAGE', APPNAME, quote=True)
-    conf.define('VERSION', VERSION, quote=True)
-    conf.define('REVISION', revision or '-1', quote=True)
-
-    conf.define('GETTEXT_PACKAGE', APPNAME, quote=True)
-
-    # no VTE on Windows
-    if is_win32:
-        conf.options.no_vte = True
-
-    _define_from_opt(conf, 'HAVE_PLUGINS', not conf.options.no_plugins, None)
