=== debian/changelog ===
geany (1.24.1+dfsg-1) unstable; urgency=medium

  * [b5fa158] Imported Upstream version 1.24+dfsg
  * [e675c2e] Imported Upstream version 1.24.1+dfsg
  * [2dcf5a3] refresh 20_add_debian_specific_filetypes.patch against 1.24
  * [2c30296] Standards-Version: 3.9.5
  * [38a6aaa] add a lintian override for the templates which contain license texts
  * [55e5423] add signature check for downloads

 -- Evgeni Golov <evgeni@debian.org>  Sat, 19 Apr 2014 14:30:10 +0200
