=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,8 @@
 	dh_install --list-missing
 
 override_dh_gencontrol:
-	echo -n "geany:Provides=geany-abi-`grep 'define GEANY_ABI_VERSION' src/plugindata.h |awk '{print $$3}'`," \
+	echo -n "geany:Provides=geany-abi-`grep 'define GEANY_ABI_VERSION' src/plugindata.h |awk '{print $$3}' |sed 's#[^0-9]##g'`," \
 		>> debian/geany.substvars
-	echo " geany-api-`grep 'define GEANY_API_VERSION' src/plugindata.h |awk '{print $$3}'`" \
+	echo " geany-api-`grep 'define GEANY_API_VERSION' src/plugindata.h |awk '{print $$3}' |sed 's#[^0-9]##g'`" \
 		>> debian/geany.substvars
 	dh_gencontrol
