## geany 1.25+dfsg

=== debian/changelog ===
geany (1.25+dfsg-1) unstable; urgency=medium

  * [f081631] Imported Upstream version 1.25+dfsg

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Jul 2015 19:59:06 +0200

geany (1.25~20150705git6ebf90a+dfsg-1) experimental; urgency=medium

  * [43e8700] Imported Upstream version 1.25~20150705git6ebf90a+dfsg
  * [3de0503] make generation of dfsg tarballs more robust
  * [2991f3b] drop versioned depends from libgtk2.0-dev, we have old
    enough versions
  * [39efbfd] refresh patches against Geany 1.25
  * [14e42ba] Standards-Version: 3.9.6
  * [6e86814] do not install libgeany.la

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 Jul 2015 13:09:50 +0200
