=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,14 @@
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
-upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9a-z.~]+)(\+dfsg)?.*$$/\1/p')
 dfsg_version = $(upstream_version)+dfsg
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 get-orig-source:
 	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
-	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
-	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	mkdir $(pkg)-$(dfsg_version)
+	tar --directory="$(pkg)-$(dfsg_version)" --strip-components=1 -xzf $(pkg)_$(upstream_version).orig.tar.gz
 	rm $(pkg)-$(dfsg_version)/waf
 	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
 	rm -rf $(pkg)-$(dfsg_version)
@@ -36,6 +36,7 @@
 	       $(CURDIR)/debian/tmp/usr/share/doc/geany/ChangeLog
 	-rm -f $(CURDIR)/debian/tmp/usr/lib/geany/*.la
 	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/geany/*.la
+	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/libgeany.la
 
 override_dh_install:
 	dh_install --list-missing
