## geany 1.26+dfsg

=== wscript ===
--- 
+++ 
@@ -43,23 +43,25 @@
 import os
 import tempfile
 from waflib import Logs, Options, Scripting, Utils
+from waflib.Build import BuildContext
 from waflib.Configure import ConfigurationContext
-from waflib.Errors import WafError
+from waflib.Errors import ConfigurationError, WafError
 from waflib.TaskGen import feature, before_method
 from waflib.Tools.compiler_c import c_compiler
 from waflib.Tools.compiler_cxx import cxx_compiler
 
 
 APPNAME = 'geany'
-VERSION = '1.24.1'
-LINGUAS_FILE = 'po/LINGUAS'
-MINIMUM_GTK_VERSION = '2.16.0'
+VERSION = '1.26'
+LINGUAS_FILE = os.path.join('po', 'LINGUAS')
+MINIMUM_GTK_VERSION = '2.24.0'
 MINIMUM_GTK3_VERSION = '3.0.0'
-MINIMUM_GLIB_VERSION = '2.20.0'
+MINIMUM_GLIB_VERSION = '2.28.0'
+
+GEANY_LIB_VERSION = '0.0.0'
 
 top = '.'
 out = '_build_'
-
 
 mio_sources = set(['tagmanager/mio/mio.c'])
 
@@ -78,13 +80,16 @@
     'tagmanager/ctags/ctags.c',
     'tagmanager/ctags/diff.c',
     'tagmanager/ctags/docbook.c',
+    'tagmanager/ctags/erlang.c',
     'tagmanager/ctags/entry.c',
     'tagmanager/ctags/fortran.c',
     'tagmanager/ctags/get.c',
+    'tagmanager/ctags/go.c',
     'tagmanager/ctags/haskell.c',
     'tagmanager/ctags/haxe.c',
     'tagmanager/ctags/html.c',
     'tagmanager/ctags/js.c',
+    'tagmanager/ctags/json.c',
     'tagmanager/ctags/keyword.c',
     'tagmanager/ctags/latex.c',
     'tagmanager/ctags/lregex.c',
@@ -101,6 +106,7 @@
     'tagmanager/ctags/r.c',
     'tagmanager/ctags/perl.c',
     'tagmanager/ctags/php.c',
+    'tagmanager/ctags/powershell.c',
     'tagmanager/ctags/python.c',
     'tagmanager/ctags/read.c',
     'tagmanager/ctags/rest.c',
@@ -117,13 +123,8 @@
     'tagmanager/ctags/vstring.c'])
 
 tagmanager_sources = set([
-    'tagmanager/src/tm_file_entry.c',
-    'tagmanager/src/tm_project.c',
     'tagmanager/src/tm_source_file.c',
-    'tagmanager/src/tm_symbol.c',
     'tagmanager/src/tm_tag.c',
-    'tagmanager/src/tm_tagmanager.c',
-    'tagmanager/src/tm_work_object.c',
     'tagmanager/src/tm_workspace.c'])
 
 scintilla_sources = set(['scintilla/gtk/scintilla-marshal.c'])
@@ -133,12 +134,14 @@
     'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
     'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
     'src/highlighting.c', 'src/keybindings.c',
-    'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
+    'src/keyfile.c', 'src/log.c', 'src/libmain.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c', 'src/osx.c',
     'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
-    'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
+    'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/spawn.c', 'src/stash.c',
     'src/symbols.c',
     'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/sidebar.c',
     'src/ui_utils.c', 'src/utils.c'])
+
+geany_bin_sources = set(['src/main.c'])
 
 geany_icons = {
     'hicolor/16x16/apps':       ['16x16/classviewer-class.png',
@@ -159,6 +162,7 @@
     'hicolor/32x32/actions':    ['32x32/geany-build.png',
                                  '32x32/geany-close-all.png',
                                  '32x32/geany-save-all.png'],
+    'hicolor/32x32/apps':       ['32x32/geany.png'],
     'hicolor/48x48/actions':    ['48x48/geany-build.png',
                                  '48x48/geany-close-all.png',
                                  '48x48/geany-save-all.png'],
@@ -184,8 +188,10 @@
     conf.check_waf_version(mini='1.6.1')
 
     conf.load('compiler_c')
+    _check_c99(conf)
     is_win32 = _target_is_win32(conf)
 
+    visibility_hidden_supported = conf.check_cc(cflags=['-Werror', '-fvisibility=hidden'], mandatory=False)
     conf.check_cc(header_name='fcntl.h', mandatory=False)
     conf.check_cc(header_name='fnmatch.h', mandatory=False)
     conf.check_cc(header_name='glob.h', mandatory=False)
@@ -197,9 +203,12 @@
     _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)  # needed for CTags
 
     conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
+    conf.check_cc(function_name='fnmatch', header_name='fnmatch.h', mandatory=False)
     conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
     conf.check_cc(function_name='mkstemp', header_name='stdlib.h', mandatory=False)
     conf.check_cc(function_name='strstr', header_name='string.h')
+
+    conf.check_cc(function_name='pow', header_name='math.h', lib='m', uselib_store='M')
 
     # check sunOS socket support
     if Options.platform == 'sunos':
@@ -225,10 +234,27 @@
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
     gtk_version = conf.check_cfg(modversion=gtk_package_name, uselib_store='GTK') or 'Unknown'
     conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')
+    if conf.options.enable_mac_integration:
+        pkgname = 'gtk-mac-integration-gtk3' if conf.options.use_gtk3 else 'gtk-mac-integration-gtk2'
+        conf.check_cfg(package=pkgname, uselib_store='MAC_INTEGRATION',
+            mandatory=True, args='--cflags --libs')
     # remember GTK version for the build step
     conf.env['gtk_package_name'] = gtk_package_name
+    conf.env['gtk_version'] = gtk_version
     conf.env['minimum_gtk_version'] = minimum_gtk_version
     conf.env['use_gtk3'] = conf.options.use_gtk3
+
+    revision = _get_git_rev(conf)
+
+    # rst2html for the HTML manual
+    if not conf.options.no_html_doc and revision is not None:
+        try:
+            conf.env['RST2HTML'] = _find_rst2html(conf)
+        except WafError:
+            error_msg = '''Documentation enabled but rst2html not found.
+You can explicitly disable building of the HTML manual with --disable-html-docs,
+but you then may not have a local copy of the HTML manual.'''
+            raise WafError(error_msg)
 
     # Windows specials
     if is_win32:
@@ -241,30 +267,5 @@
         _add_to_env_and_define(conf, 'LIBDIR', '%s/lib' % conf.env['PREFIX'], quote=True)
         conf.define('LOCALEDIR', os.path.join('share' 'locale'), quote=True)
         # overwrite LOCALEDIR to install message catalogues properly
-        conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share/locale')
+        conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share', 'locale')
         # DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
-        conf.undefine('DATADIR')
-        conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
-        conf.env.append_value('LINKFLAGS_cprogram', [
-            '-mwindows',
-            '-static-libgcc',
-            '-static-libstdc++'])
-        conf.env.append_value('LIB_WIN32', ['wsock32', 'uuid', 'ole32', 'iberty'])
-    else:
-        conf.env['cshlib_PATTERN'] = '%s.so'
-        # DATADIR and LOCALEDIR are defined by the intltool tool
-        # but they are not added to the environment, so we need to
-        _add_define_to_env(conf, 'DATADIR')
-        _add_define_to_env(conf, 'LOCALEDIR')
-        docdir = os.path.join(conf.env['DATADIR'], 'doc', 'geany')
-        libdir = os.path.join(conf.env['PREFIX'], 'lib')
-        mandir = os.path.join(conf.env['DATADIR'], 'man')
-        _define_from_opt(conf, 'DOCDIR', conf.options.docdir, docdir)
-        _define_from_opt(conf, 'LIBDIR', conf.options.libdir, libdir)
-        _define_from_opt(conf, 'MANDIR', conf.options.mandir, mandir)
-
-    revision = _get_git_rev(conf)
-
-    conf.define('ENABLE_NLS', 1)
-    conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
-    conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], quote=True)
