=== debian/changelog ===
geany (1.26+dfsg-1) unstable; urgency=medium

  * [15f8c2e] Update upstream signing key
  * [138bf6e] Switch to copyright-format 1.0
  * [6e780b0] Add repacksuffix to debian/watch
  * [79ec94c] Drop get-orig-source bits.
    We're using Files-Excluded now.
  * [d7db5d9] Imported Upstream version 1.26+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 24 Nov 2015 15:01:10 +0800

geany (1.26-1) UNRELEASED; urgency=medium

  [ Evgeni Golov ]
  * [c628bb0] Imported Upstream version 1.26~git20151108+dfsg
  * [aab78c7] update 20_add_debian_specific_filetypes.patch
  * [577b467] update 20_use_sensible_browser.patch
  * [1c2175b] update 20_load_plugins_from_all_paths.patch

  [ Chow Loong Jin ]
  * [fac7562] Imported Upstream version 1.26
  * [9772408] Drop geany.menu.
    We're migrating away from the menu system as per
    https://lists.debian.org/debian-devel-announce/2015/09/msg00000.htmla

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 18 Nov 2015 12:02:26 +0800
