## geany 1.27

=== debian/changelog ===
geany (1.27-1) unstable; urgency=medium

  * [3d76fe6] Imported Upstream version 1.27
  * [e4625fe] Drop Files-Excluded line from d/copyright
    waf has been dropped upstream

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 13 Mar 2016 21:42:46 +0800
