=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Homepage: http://www.geany.org
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
-Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
+Standards-Version: 3.9.6
 
 Package: geany
 Architecture: any
