## geany 1.28

=== debian/changelog ===
geany (1.28-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 11 Sep 2016 09:31:42 +0200

geany (1.28-1) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [7f7df81] Imported Upstream version 1.28

  [ Evgeni Golov ]
  * [2c63766] use canonical https urls for Vcs-* fields
  * [788dcb0] Standards-Version: 3.9.8

 -- Evgeni Golov <evgeni@debian.org>  Mon, 22 Aug 2016 20:39:29 +0200
