## geany 1.29

=== debian/changelog ===
geany (1.29-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * [dffc7cc] New upstream version 1.29
  * [bbd23eb] drop 30_fix_invisible_fields_with_gtk3.patch, applied upstream
  * [c6cfa9c] update conf.c location in 20_debian_control_tags.patch

  [ Chow Loong Jin ]
  * [ffd5baf] Drop vStringTerminate

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 16 Nov 2016 22:55:28 +0800

geany (1.28-2) unstable; urgency=medium

  * Custom theming fixes for Adwaita 3.20/GTK 3.20 (Closes: #835370)
  * drop des@ from uploaders (Closes: #838044)
  * mark geany-common Multi-Arch: foreign (closes: 813757)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 23 Sep 2016 16:21:07 +0200
