=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
-Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@debian.org>,
+Uploaders: Chow Loong Jin <hyperair@debian.org>,
  Evgeni Golov <evgeni@debian.org>
 Homepage: http://www.geany.org
-Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: geany
 Architecture: any
@@ -38,6 +38,7 @@
 Replaces: geany (<< 0.21-1~)
 Breaks: geany (<< 0.21-1~)
 Architecture: all
+Multi-Arch: foreign
 Description: fast and lightweight IDE -- common files
  Geany is a small and lightweight integrated development environment.
  It was developed to provide a small and fast IDE, which has only a
