## geany 1.31

=== debian/changelog ===
geany (1.31-1) unstable; urgency=medium

  * [515429f] New upstream version 1.31

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 22 Jul 2017 00:58:52 +0800

geany (1.30.1-1) experimental; urgency=medium

  * [187ca62] Imported Upstream version 1.30.1

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 21 Mar 2017 18:07:41 +0800

geany (1.30-1) experimental; urgency=medium

  * [1498191] Imported Upstream version 1.30

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Mar 2017 12:08:52 +0800
