## geany 1.32

=== debian/changelog ===
geany (1.32-2) unstable; urgency=medium

  * [63e6a67] Split build-deps into multiple lines
  * [8d2ab35] Build with gtk3
  * [1971363] Extract GEANY_ABI_VERSION and GEANY_API_VERSION properly.
    These values are shifted left by some bits when gtk3 is enabled, so we can't
    just use awk magic alone to dig it out of plugindata.h

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Jan 2018 01:17:14 +0800

geany (1.32-1) unstable; urgency=medium

  * [59dd949] Add eht16's GPG key to signing-key.asc
  * [288ae1a] New upstream version 1.32

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 24 Dec 2017 18:09:25 +0800
