## geany 1.33

=== debian/changelog ===
geany (1.33-1) unstable; urgency=medium

  * [f8a8a32] New upstream version 1.33

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 17 Apr 2018 01:07:14 +0800
