=== debian/control ===
--- 
+++ 
@@ -7,7 +7,14 @@
 Homepage: http://www.geany.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
+Build-Depends: debhelper (>= 9),
+               libgtk-3-dev,
+               libglib2.0-dev,
+               libatk1.0-dev,
+               libpango1.0-dev,
+               intltool,
+               chrpath,
+               dh-autoreconf
 Standards-Version: 3.9.8
 
 Package: geany
