## geany 1.34.1

=== debian/changelog ===
geany (1.34.1-1) unstable; urgency=medium

  * [1d91a3c] Update Vcs-* fields to salsa
  * [a70a99b] New upstream version 1.34.1

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 30 Jan 2019 14:22:58 +0800
