=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Chow Loong Jin <hyperair@debian.org>,
  Evgeni Golov <evgeni@debian.org>
 Homepage: http://www.geany.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
+Vcs-Browser: https://salsa.debian.org/geany-team/geany
+Vcs-Git: https://salsa.debian.org/geany-team/geany.git
 Build-Depends: debhelper (>= 9),
                libgtk-3-dev,
                libglib2.0-dev,
