## geany 1.35

=== debian/changelog ===
geany (1.35-1) unstable; urgency=medium

  * [f31e7fb] New upstream version 1.35
  * [e24213e] Update 20_debian_control_tags.patch
  * [b711a9b] Fix makeSimpleTag call in 20_debian_control_tags.patch
  * [cd4c064] Update Standards-Version to 4.2.0

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 May 2019 10:00:48 +0800
