## geany 1.36

=== debian/changelog ===
geany (1.36-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:42 +0100

geany (1.36-1) unstable; urgency=medium

  * [6f3ec40] New upstream version 1.36

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 20 Nov 2019 11:56:18 +0800
