=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                intltool,
                chrpath,
                dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 
 Package: geany
 Architecture: any
