## geany 1.37.1

=== debian/changelog ===
geany (1.37.1-2) unstable; urgency=medium

  * Reupload to unstable now that geany-plugins has cleared NEW

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 13 Nov 2020 22:56:12 +0800

geany (1.37.1-1) experimental; urgency=medium

  * [0ed792b] New upstream version 1.37.1

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 10 Nov 2020 10:30:45 +0800

geany (1.37-1) experimental; urgency=medium

  * [f98c497] Update description to reflect that we're on gtk3 now
    (LP: #1829373)
  * [cfc3dfd] New upstream version 1.37

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 28 Oct 2020 16:54:23 +0800
