=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
 Description: fast and lightweight IDE
  Geany is a small and lightweight integrated development environment.
  It was developed to provide a small and fast IDE, which has only a
- few dependencies from other packages. It is using only the GTK2 toolkit
- and therefore you need only the GTK2 runtime libraries to run Geany.
+ few dependencies from other packages. It is using only the GTK3 toolkit
+ and therefore you need only the GTK3 runtime libraries to run Geany.
  .
  The basic features of Geany are:
   - syntax highlighting
@@ -49,8 +49,8 @@
 Description: fast and lightweight IDE -- common files
  Geany is a small and lightweight integrated development environment.
  It was developed to provide a small and fast IDE, which has only a
- few dependencies from other packages. It is using only the GTK2 toolkit
- and therefore you need only the GTK2 runtime libraries to run Geany.
+ few dependencies from other packages. It is using only the GTK3 toolkit
+ and therefore you need only the GTK3 runtime libraries to run Geany.
  .
  The basic features of Geany are:
   - syntax highlighting
